[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TModalDialogFinished

Specifies an event handler signalled when a modal message dialog is completed.

## Declaration

Source position: forms.pp line 510

`type TModalDialogFinished = procedure(`
`Sender: TObject;`
`AResult: Integer`
`) of object;`

## Arguments

`Sender` |  | TObject instance for the event notification.
`AResult` |  | Modal result value from the dialog.

## Description

TModalDialogFinished is an object procedure which specifies an event handler signalled when a modal message dialog is completed. The AResult argument contains the modal result constant returned from the message dialog.

TModalDialogFinished is the type used to implement the TCustomForm.OnShowModalFinished and TApplication.OnMessageDialogFinished properties.

## See also

TCustomForm.OnShowModalFinished |  | Event handler signalled when modal display of the form has been completed.
TApplication.OnMessageDialogFinished |  | Event handler signalled when a message dialog in the application has been completed.
TModalResult |  | Dummy type for the values that can be returned as a modal result.